### Method

# Devhelp Settings is_book_enabled

since: 3.30

#### Declaration [src]

    gboolean
    dh_settings_is_book_enabled (
      DhSettings* settings,
      DhBook* book
    )

#### Description [src]

Returns whether `book` is enabled according to the “books-disabled” `GSettings` key. If the `book` ID is present in “books-disabled”, this function returns `FALSE`, otherwise `TRUE` is returned.

Available since: 3.30

#### Parameters

`book`

  Type: `DhBook`

  A `DhBook`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether `book` is enabled.